KExecMimeType Class Reference

`#include <kmimetype.h>`

Inheritance diagram for KExecMimeType:

## Public Member Functions

| KExecMimeType (KDesktopFile *config)
| KExecMimeType (QDataStream &_str, int offset)
Public Member Functions inherited from KMimeType
| KMimeType (const QString &_fullpath, const QString &_type, const QString &_icon, const QString &_comment, const QStringList &_patterns)
| KMimeType (const QString &_fullpath)
| KMimeType (KDesktopFile *config)
| KMimeType (QDataStream &_str, int offset)
virtual QString | icon (const QString &, bool) const
virtual QString | icon (const KURL &, bool) const
virtual QPixmap | pixmap (KIcon::Group group, int force_size=0, int state=0, QString *path=0L) const
virtual QPixmap | pixmap (const KURL &_url, KIcon::Group _group, int _force_size=0, int _state=0, QString *_path=0L) const
QString | comment () const
virtual QString | comment (const QString &, bool) const
virtual QString | comment (const KURL &, bool) const
const QStringList & | patterns () const
virtual void | load (QDataStream &qs)
virtual void | save (QDataStream &qs)
virtual QVariant | property (const QString &_name) const
virtual QStringList | propertyNames () const
QString | parentMimeType () const
bool | is (const QString &mimeTypeName) const
Public Member Functions inherited from KServiceType
| KServiceType (const QString &_fullpath, const QString &_name, const QString &_icon, const QString &_comment)
| KServiceType (const QString &_fullpath)
| KServiceType (KDesktopFile *config)
| KServiceType (QDataStream &_str, int offset)
QString | icon () const
QString | comment () const
QString | name () const
QString | desktopEntryPath () const
bool | isDerived () const
QString | parentServiceType () const
bool | inherits (const QString &servTypeName) const
bool | isValid () const
virtual QVariant::Type | propertyDef (const QString &_name) const
virtual QStringList | propertyDefNames () const
virtual const QMap< QString, QVariant::Type > & | propertyDefs () const
Ptr | parentType ()
void | addService (KService::Ptr service)
KService::List | services ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KMimeType
void | loadInternal (QDataStream &)
void | init (KDesktopFile *)
int | patternsAccuracy () const
Protected Member Functions inherited from KServiceType
void | init (KDesktopFile *config)

## Additional Inherited Members

Public Types inherited from KMimeType
typedef KSharedPtr< KMimeType > | Ptr
typedef QValueList< Ptr > | List
Public Types inherited from KServiceType
typedef KSharedPtr< KServiceType > | Ptr
typedef QValueList< Ptr > | List
Static Public Member Functions inherited from KMimeType
static QPixmap | pixmapForURL (const KURL &_url, mode_t _mode=0, KIcon::Group _group=KIcon::Desktop, int _force_size=0, int _state=0, QString *_path=0L)
static QString | iconForURL (const KURL &_url, mode_t _mode=0)
static QString | favIconForURL (const KURL &url)
static Ptr | mimeType (const QString &_name)
static Ptr | findByURL (const KURL &_url, mode_t _mode=0, bool _is_local_file=false, bool _fast_mode=false)
static Ptr | findByURL (const KURL &_url, mode_t _mode, bool _is_local_file, bool _fast_mode, bool *accurate)
static Ptr | findByPath (const QString &path, mode_t mode=0, bool fast_mode=false)
static Ptr | findByContent (const QByteArray &data, int *accuracy=0)
static Ptr | findByFileContent (const QString &fileName, int *accuracy=0)
static Format | findFormatByFileContent (const QString &fileName)
static List | allMimeTypes ()
static const QString & | defaultMimeType ()
static KMimeType::Ptr | defaultMimeTypePtr ()
static KMimeType::Ptr | diagnoseFileName (const QString &file, QString &pattern)
Static Public Member Functions inherited from KServiceType
static Ptr | serviceType (const QString &_name)
static KService::List | offers (const QString &_servicetype)
static List | allServiceTypes ()
Static Protected Member Functions inherited from KMimeType
static void | errorMissingMimeType (const QString &_type)
static void | buildDefaultType ()
static void | checkEssentialMimeTypes ()
Protected Attributes inherited from KMimeType
QStringList | m_lstPatterns
Protected Attributes inherited from KServiceType
QString | m_strName
QString | m_strIcon
QString | m_strComment
QMap< QString, QVariant > | m_mapProps
QMap< QString, QVariant::Type > | m_mapPropDefs
bool | m_bValid:1
bool | m_bDerived:1
Static Protected Attributes inherited from KMimeType
static bool | s_bChecked = false
static Ptr | s_pDefaultType = 0L

## Detailed Description

The mime type for executable files.

MimeType for any executable, like /bin/ls

Definition at line 622 of file kmimetype.h.

## Constructor & Destructor Documentation

KExecMimeType::KExecMimeType | ( | KDesktopFile * | config | ) |

inline

Construct a executable mimetype and take all information from a desktop file.

Parameters

  config | the desktop configuration file that describes the mime type

Definition at line 634 of file kmimetype.h.

The documentation for this class was generated from the following files:

- kmimetype.h
- kmimetype.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys